Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# uiop_endpoints.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "strategies_export.h"`
`#include "tao/Managed_Types.h"`
`#include "tao/Sequence.h"`
`#include "tao/Any.h"`
`#include "tao/Typecode.h"`
`#include "ace/post.h"`

Include dependency graph for uiop_endpoints.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | _TAO_Unbounded_Sequence_TAO_UIOPEndpointSequence
struct | TAO_UIOP_Endpoint_Info
class | TAO_UIOPEndpointSequence
class | TAO_UIOPEndpointSequence_var
## Defines
#define | TAO_EXPORT_MACRO TAO_Strategies_Export
#define | __TAO_UNBOUNDED_SEQUENCE_TAO_UIOPENDPOINTSEQUENCE_CH_
#define | _TAO_UIOPENDPOINTSEQUENCE_CH_
#define | _TAO_UIOPENDPOINTSEQUENCE___VAR_CH_
## Functions
TAO_Strategies_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_UIOP_Endpoint_Info &)
TAO_Strategies_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_UIOP_Endpoint_Info &)
TAO_Strategies_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const TAO_UIOPEndpointSequence &)
TAO_Strategies_Export CORBA::Boolean | operator>> (TAO_InputCDR &, TAO_UIOPEndpointSequence &)
## Variables
TAO_Strategies_Export CORBA::TypeCode_ptr | _tc_TAO_UIOP_Endpoint_Info
TAO_Strategies_Export CORBA::TypeCode_ptr | _tc_TAO_UIOPEndpointSequence

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_TAO_UIOPENDPOINTSEQUENCE_CH_

#define _TAO_UIOPENDPOINTSEQUENCE___VAR_CH_

#define _TAO_UIOPENDPOINTSEQUENCE_CH_

#define TAO_EXPORT_MACRO TAO_Strategies_Export

## Function Documentation

TAO_Strategies_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_UIOPEndpointSequence & | _tao_sequence
| ) |

TAO_Strategies_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const TAO_UIOP_Endpoint_Info & |
| ) |

TAO_Strategies_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TAO_UIOPEndpointSequence & | _tao_sequence
| ) |

TAO_Strategies_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | TAO_UIOP_Endpoint_Info & |
| ) |

## Variable Documentation

TAO_Strategies_Export CORBA::TypeCode_ptr _tc_TAO_UIOP_Endpoint_Info

TAO_Strategies_Export CORBA::TypeCode_ptr _tc_TAO_UIOPEndpointSequence